AgentConnect
GitHub

Get an agent's GitHub App

The organization GitHub App the agent works through; app is null while it uses the built-in App.

GET
/v1/orgs/{orgId}/agents/{id}/github-app

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/agents/string/github-app"
{  "app": {    "id": "string",    "appId": 0,    "slug": "string",    "botUserId": 0,    "agentId": "string",    "installations": [      {        "id": "string",        "installationId": 0,        "accountLogin": "string",        "accountType": "string",        "repositorySelection": "string",        "suspended": true      }    ],    "createdAt": "string"  }}